Subject: RE: [mobile-ip] comments on mobileip-vpn-problem-statement-req

From: "Adrangi, Farid" <[email-masked]>
Date: Fri, 30 Aug 2002 09:27:26 -0700

Hello Behcet,
Please see my reply below.  Please let me know
if you have any questions.
regards,
FArid

-----Original Message-----
From: Behcet Sarikaya [mailto:[email-masked]]
Sent: Friday, August 30, 2002 8:57 AM
To: Adrangi, Farid
Cc: [email-masked]
Subject: Re: [mobile-ip] comments on mobileip-vpn-problem-statement-req

Hi Farid,
I could not find any direct requirement in RFC 3220 for HAs to have a
public address (although there are implicit requirements such as dynamic
home agent discovery) 

Farid Writes> That's right.  As I mentioned it before, you can provide IP 
mobility as per Mobile IP specifications [RFC3220] within the intranet (
a private address space). RFC3220 requires /assumes HAs to be *directly* 
reachable by the MNs -- that is, it does not provide any solutions
for middle-box (e.g., NAT, VPN) traversal.  In the Intranet case, the HAs
are 
directly reachable within the Intranet private address space (assuming
that there aren't any intervening NAT boxes).  

however I could find the following requirement for
HAs in CDMA2000 Wireless IP standard (IS 835B):

The HA shall support basic MIP [RFC 2002-2006], reverse tunneling [RFC
3024], FAC [RFC 3012], and Mobile IP NAI Extension [RFC 2794]. In order
to provide public network access and to provide private network access
across the public network, the HA shall use a globally routable and
visible IP address.

Farid Writes > I am not familiar with the requirement for HAs in CDMA2000,
so I can't tell you why they require HA to be reachable globally.

Regards,

Adrangi, Farid wrote:

>Hello behcet,
>Please see my replies below.  
>regards,
>FArid
>
>-----Original Message-----
>From: Behcet Sarikaya [mailto:[email-masked]]
>Sent: Thursday, August 29, 2002 12:50 PM
>To: Adrangi, Farid
>Cc: [email-masked]
>Subject: Re: [mobile-ip] comments on mobileip-vpn-problem-statement-req
>
>
>Hello Farid,
>Thanks for your reply. Two more quick questions:
>1. Section 2.1 the draft states
>This (i.e. private MIP network) can be considered a typical deployment
>scenario in
>enterprise environments with a large and growing number of mobile
>users.
>Is this really true? I would not say so.
>
>Farid Writes > we said that based on feedback that we got from our and
>some other large corporation IT folks.  If you think this will not be a
>typical deployment scenario for large enterprise, then what do you think
>the typical scenario would be?
>
>2. In Section 4.1 on p.9 the draft states
>It is important to note that the mobile node connecting to the
>home network is forced to establish an IPsec tunnel SA to the
>VPN gateway first.
>
>This means that handover occurs first for VPN, which I think, defeats
>the purpose of MIP.
>What do you think?
>
>Farid Writes >  This implies that IPsec needs to be re-negotiated as the MN
>moves
> from one subnet to another -- which in turn impacts the overall handover
>performance.
>The solution proposal (whatever it is) needs to address this problem.  So,
>you can
>view this as a problem that needs to be addressed/solved.
>
>Regards,
>
>
>--behcet
>

-- 
Behcet